Loading...
Searching...
No Matches
visibility.hh File Reference

Definition of macros controlling symbol visibility at the ABI level. More...

Go to the source code of this file.

## Macros

#define | DUNE_EXPORT implementation_defined
| Export a symbol as part of the public ABI.
#define | DUNE_PRIVATE implementation_defined
| Mark a symbol as being for internal use within the current DSO only.

## Detailed Description

Definition of macros controlling symbol visibility at the ABI level.

## Macro Definition Documentation

## DUNE_EXPORT

#define DUNE_EXPORT implementation_defined

Export a symbol as part of the public ABI.

Mark a class, function or static variable as visible outside the current DSO. For now, this is mostly important for templated global variables and functions that contain static variables.

## DUNE_PRIVATE

#define DUNE_PRIVATE implementation_defined

Mark a symbol as being for internal use within the current DSO only.

Mark a class, function or static variable as inaccessible from outside the current DSO. Doing so will decrease the size of the symbol table, but you have to be sure that the symbol will never have to be accessed from another library or the main executable!